pydo.vpcnatgateways.create()
Generated on 7 Jul 2026
from pydo version
v0.39.0
Usage
client.vpcnatgateways.create(
body={
"name": "my-vpc-nat-gateway",
"type": "PUBLIC",
"region": "tor1",
...,
},
)Description
To create a new VPC NAT gateway, send a POST request to /v2/vpc_nat_gateways setting the required attributes.
The response body will contain a JSON object with a key called vpc_nat_gateway containing the standard attributes for the new VPC NAT gateway.
Parameters
namestring requiredExample:
my-vpc-nat-gatewayThe human-readable name of the VPC NAT gateway.
typestring requiredExample:
PUBLICThe type of the VPC NAT gateway.
regionstring requiredThe region in which the VPC NAT gateway is created.
sizeinteger requiredExample:
1The size of the VPC NAT gateway.
vpcsarray of objects requiredAn array of VPCs associated with the VPC NAT gateway.
Show child properties
vpc_uuidstring requiredExample:
0d3db13e-a604-4944-9827-7ec2642d32acThe unique identifier of the VPC to which the NAT gateway is attached.
default_gatewayboolean optionalExample:
TrueThe classification of the NAT gateway as the default egress route for the VPC traffic.
udp_timeout_secondsinteger optionalExample:
30The UDP timeout in seconds for the VPC NAT gateway.
icmp_timeout_secondsinteger optionalExample:
30The ICMP timeout in seconds for the VPC NAT gateway.
tcp_timeout_secondsinteger optionalExample:
30The TCP timeout in seconds for the VPC NAT gateway.
Request Sample
Response Example
More Information
See /v2/vpc_nat_gateways in the API reference for additional detail on responses, headers, parameters, and more.